---
title: Navigator.doNotTrack
slug: Web/API/Navigator/doNotTrack
tags:
  - API
  - Experimental
  - HTML DOM
  - Navigator
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>Navigator.doNotTrack</strong></code> property returns the user's Do Not Track setting, which indicates whether the user is requesting web sites and advertisers to not track them.</p>

<p>The value of the property reflects that of the {{httpheader("DNT")}} HTTP header, i.e. values of <code>"1"</code>, <code>"0"</code>, or <code>"unspecified"</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">console.log(navigator.doNotTrack);
// prints "1" if DNT is enabled; "0" if the user opted-in for tracking; otherwise this is "unspecified"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Tracking", "#dom-navigator-donottrack", "Navigator.doNotTrack")}}</td>
   <td>{{Spec2("Tracking")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.doNotTrack")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Security/Do_not_track_field_guide">The Do Not Track field guide</a></li>
</ul>
